namespace HRServer
{
    public class Program
    {
        public static void Main(string[] args)
        {
            var builder = WebApplication.CreateBuilder(args);

            // Dienste hinzufügen
            builder.Services.AddControllers();

            // CORS-Konfiguration hinzufügen
            builder.Services.AddCors(options =>
            {
                // Beispiel: Erlaube alle Ursprünge, Methoden und Header
                options.AddPolicy("AllowAllOrigins", policy =>
                {
                    policy.AllowAnyOrigin()
                          .AllowAnyMethod()
                          .AllowAnyHeader();
                });
            });
            // Swagger / OpenAPI hinzufügen
            builder.Services.AddEndpointsApiExplorer();
            builder.Services.AddSwaggerGen();

            var app = builder.Build();

            // Falls Entwicklungsumgebung, Swagger UI verwenden
            if (app.Environment.IsDevelopment())
            {
                app.UseSwagger();
                app.UseSwaggerUI();
            }

            // CORS anwenden
            app.UseCors("AllowAllOrigins");

            app.UseAuthorization();

            // Controller-Routen festlegen
            app.MapControllers();

            app.Run();
        }
    }
}
